%% pillow.typ
%% Copyright (C) 2005 INRIA Emmanuel Coquery

%% This library is free software; you can redistribute it and/or
%% modify it under the terms of the GNU Lesser General Public
%% License as published by the Free Software Foundation; either
%% version 2.1 of the License, or (at your option) any later version.

%% This library is distributed in the hope that it will be useful,
%% but WITHOUT ANY WARRANTY; without even the implied warranty of
%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%% Lesser General Public License for more details.

%% You should have received a copy of the GNU Lesser General Public
%% License along with this library; if not, write to the Free Software
%% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                                                           %%
%%                              Prolog typer                                 %%
%%                                                                           %%
%%         Emmanuel Coquery, projet Contraintes, INRIA Rocquencourt          %%
%%                                                                           %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% $Header: /home/yquem/contraintes/coquery/cvs/contraintes/tclpchr/lib/sicstus/pillow.typ,v 1.1 2005/05/25 13:26:21 coquery Exp $

%% types for the Pillow library

:- type html_term.
:- type xml_term.
:- type url_term.

:- typeof output_html(html_term) is pred.
:- typeof html2terms(list(int),html_term) is pred.
:- typeof xml2terms(list(int),xml_term) is pred.
:- typeof html_template(list(int),html_term,list(equal_pair(atom,term))) is pred.
:- typeof html_report_error(term) is pred.
:- typeof get_form_input(list(pair(atom,term))) is pred.
:- typeof get_form_value(list(pair(atom,term)),atom,term) is pred.
:- typeof form_empty_value(term) is pred.
:- typeof form_default(term,term,term) is pred.
:- typeof set_cookie(atom,int) is pred.
:- typeof set_cookie(atom,float) is pred.
:- typeof set_cookie(atom,atom) is pred.
:- typeof get_cookies(list(pair(atom,term))) is pred.
:- typeof url_query(list(pair(atom,term)),list(int)) is pred.
:- typeof my_url(list(int)) is pred.
:- typeof url_info(atom,url_term) is pred.
:- typeof url_info(list(int),url_term) is pred.
:- typeof url_info_relative(atom,url_term,url_term) is pred.
:- typeof url_info_relative(list(int),url_term,url_term) is pred.
:- typeof form_request_method(atom) is pred.
:- typeof icon_address(atom,atom) is pred.
:- typeof html_protect(goal) is pred.
:- typeof http_lines(list(list(int)),list(int),list(int)) is pred.
:- typeof html_expansion(html_term,term) is pred.
